<?php

/**
 *
 * Show the product details page
 *
 * @package	VirtueMart
 * @subpackage
 * @author Max Milbers, Valerie Isaksen

 * @link https://virtuemart.net
 * @copyright Copyright (c) 2004 - 2012 VirtueMart Team. All rights reserved.
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL, see LICENSE.php
 * VirtueMart is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or
 * other free or open source software licenses.
 * @version $Id: default_showcategory.php 10649 2022-05-05 14:29:44Z Milbo $
 */

use Joomla\CMS\Router\Route;

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');

if ($this->category->has_children) {
  $iCol = 1;
  $iCategory = 1;
  $categories_per_row = VmConfig::get('categories_per_row', 3);
  $category_cellwidth = ' width' . floor(100 / $categories_per_row);
  $verticalseparator = " vertical-separator";
?>

  <div class="category-view">
    <div class="category-view-title">
      <h4><?php echo vmText::_('COM_VIRTUEMART_CATEGORY_VIEW') ?></h4>
    </div>

    <?php
    // Start the Output
    if (!empty($this->category->children)) {
      foreach ($this->category->children as $category) {

        // Show the horizontal seperator
        if ($iCol == 1 && $iCategory > $categories_per_row) {
    ?>
          <div class="horizontal-separator"></div>
        <?php
        }

        // this is an indicator whether a row needs to be opened or not
        if ($iCol == 1) {
        ?>
          <div class="row">
          <?php
        }

        // Show the vertical seperator
        if ($iCategory == $categories_per_row or $iCategory % $categories_per_row == 0) {
          $show_vertical_separator = ' ';
        } else {
          $show_vertical_separator = $verticalseparator;
        }

        // Category Link
        $caturl = Route::_('index.php?option=com_virtuemart&view=category&virtuemart_category_id=' . $category->virtuemart_category_id, FALSE);

        // Show Category
          ?>
          <div class="category col-6 col-lg-<?php echo 12 / $categories_per_row ?><?php echo $category_cellwidth . $show_vertical_separator ?>">
            <div class="spacer">
              <?php
              if (!empty($category->images[0])) {
                echo $category->images[0]->displayMediaThumb("", false);
              }
              ?>
              <h2>
                <a href="<?php echo $caturl ?>" title="<?php echo vmText::_($category->category_name) ?>">
                  <?php echo vmText::_($category->category_name) ?>
                  <br>
                </a>
              </h2>
            </div>
          </div>
          <?php
          $iCategory++;

          // Do we need to close the current row now?
          if ($iCol == $categories_per_row) {
          ?>
            <div class="clear"></div>
          </div>
      <?php
            $iCol = 1;
          } else {
            $iCol++;
          }
        }
      }
      // Do we need a final closing row tag?
      if ($iCol != 1) {
      ?>
      <div class="clear"></div>
  </div>
<?php } ?>
</div>
<?php }
